Name:           perl-Text-ExtractWords
Summary:        Perl extension to extract words from strings
Version:        0.08
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Text-ExtractWords/
Source0:        http://www.cpan.org/authors/id/H/HD/HDIAS/Text-ExtractWords-%{version}.tar.gz

BuildRequires:  perl(AutoLoader)  
BuildRequires:  perl(DynaLoader)  
BuildRequires:  perl(Exporter)  
BuildRequires:  perl(ExtUtils::MakeMaker)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Extract words from texts or emails, for example to identify spam.


%prep
%setup -q -n Text-ExtractWords-%{version}

# Remove executable bit on examples
chmod -x examples/*


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README examples
%{perl_vendorarch}/auto/Text
%{perl_vendorarch}/Text
%{_mandir}/man3/Text::ExtractWords.3pm*


%changelog
* Tue Feb 05 2013 Mathieu Bridon <bochecha@fedoraproejct.org> - 0.08-2
- Replace usage of the %%{_perl} macro by the plain perl command.
- Use DESTDIR instead of PERL_INSTALL_ROOT.
- Tweak the Summary and %%description.
- Drop unneeded BR on the 'vars' pragma.

* Mon Feb 04 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.08-1
- Initial package for Fedora, with help from cpanspec.
